# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::BlendColor Class Reference

RenderState wrapping the OpenGL function glBlendColor(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendColor.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::BlendColor:

List of all members.

## Public Member Functions

| BlendColor (fvec4 blendcolor=fvec4(0, 0, 0, 0))
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | set (fvec4 blendcolor)
fvec4 | blendColor () const

## Protected Attributes

fvec4 | mBlendColor

## Detailed Description

RenderState wrapping the OpenGL function glBlendColor(), see also http://www.opengl.org/sdk/docs/man/xhtml/glBlendColor.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 925 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::BlendColor::BlendColor | ( | fvec4 | blendcolor = `fvec4(0,0,0,0)` ) | `[inline]`

Definition at line 928 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::BlendColor::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

Definition at line 932 of file Shader.hpp.

virtual ERenderState vl::BlendColor::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 933 of file Shader.hpp.

References vl::RS_BlendColor.

void BlendColor::apply | ( | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 561 of file Shader.cpp.

References vl::Vector4< T_Scalar >::a(), vl::Vector4< T_Scalar >::b(), vl::Vector4< T_Scalar >::g(), mBlendColor, vl::Vector4< T_Scalar >::r(), VL_CHECK_OGL, and vl::VL_glBlendColor().

void vl::BlendColor::set | ( | fvec4 | blendcolor ) | `[inline]`

Definition at line 935 of file Shader.hpp.

fvec4 vl::BlendColor::blendColor | ( | ) | const`[inline]`

Definition at line 936 of file Shader.hpp.

## Member Data Documentation

fvec4 vl::BlendColor::mBlendColor`[protected]`

Definition at line 938 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:46.
Permission is granted to use this page to write and publish articles regarding Visualization Library.